/***************************************************************************
 *
 * gpm.h : gnome-power-manager
 *
 * Copyright (C) 2005 Richard Hughes, <richard@hughsie.com>
 * Taken in part from:
 * - notibat (C) 2004 Benjamin Kahn <xkahn@zoned.net>
 *
 * Licensed under the GNU GPL v2.  See COPYING.
 *
 **************************************************************************/

#ifndef _GPM_H
#define _GPM_H

/* where our settings are rooted in the gconf tree */
#define GCONF_ROOT_SANS_SLASH	"/desktop/gnome/power-manager"
#define GCONF_ROOT		GCONF_ROOT_SANS_SLASH "/"
#define SELECTION_NAME 		"_GPM_SELECTION"

#define NICENAME 		"GNOME Power Manager"
#define NICEDESC 		"Power Manager for GNOME desktop"

/** Macro for terminating the program on an unrecoverable error */
#define DIE(expr) do {printf("*** [DIE] %s:%s():%d : ", __FILE__, __FUNCTION__, __LINE__); printf expr; printf("\n"); exit(1); } while(0)

extern gboolean gvm_get_clipboard (void);


typedef struct {
	EggTrayIcon *tray_icon;
	GtkTooltips *tray_icon_tooltip;
	GtkWidget *popup_menu;
	GtkWidget *image;
	GtkWidget *evbox;
} TrayData;

typedef struct {
	GtkWidget *popup_menu;
	TrayData* td[MAX_ICONS];
} MenuData;

void icon_destroy (TrayData *td);
TrayData *icon_create (MenuData *md, int number, const char *filename, const char *tooltip);
void icon_modify_image (TrayData *td, const char* filename);
void icon_modify_tooltip (TrayData *td, const char* tooltip);
gboolean tray_icon_release (GtkWidget *widget, GdkEventButton *event, MenuData *md);
gboolean tray_icon_press (GtkWidget *widget, GdkEventButton *event, MenuData *md);
gboolean tray_destroyed (GtkWidget *widget, GdkEvent *event, gpointer user_data);

#endif	/* _GPM_H */
